<?php
/**
 * Joomla! 1.5 component NS Pro
 *
 * @version $Id: view.html.php 2009-04-28 01:47:12 svn $
 * @author Christopher Mavros
 * @package Joomla
 * @subpackage NS Pro
 * @license GNU/GPL
 *
 * Pro Version of Newsletter Subscriber.
Provides:
Keep subscriptions in database
Unsubscription Page
Optional Confirmation on subscribe/unsubscribe
Subscription Manager
Send Newsletters
Newsletter Manager
Subscription Statistics
Unique Emails (does not allow duplicates)
 *
 * This component file was created using the Joomla Component Creator by Not Web Design
 * http://www.notwebdesign.com/joomla_component_creator/
 *
 */

// no direct access
defined('_JEXEC') or die('Restricted access');

// Import Joomla! libraries
jimport( 'joomla.application.component.view');
class NsproViewToolkit extends JView {

    function display($tpl = null)
    {

        JToolBarHelper::title(   JText::_( 'NS Pro Toolkit' ), 'generic.png' );
        JToolBarHelper::back();
        
        $db =& JFactory::getDBO();

        $query = 'SELECT * FROM `#__nspro_subs` ORDER BY `id`';

        $db->setQuery($query);

        $msubs = $db->loadObjectList();

        $this->assignRef('subs', $msubs);        

        parent::display($tpl);
    }
}
?>